global-styling:
  version: VERSION
  css:
    base:
      css/base/elements.css: {}
    component:
      css/components/admin.css: {}
      css/components/block.css: {}
      css/components/book.css: {}
      css/components/breadcrumb.css: {}
      css/components/captions.css: {}
      css/components/comments.css: {}
      css/components/content.css: {}
      css/components/contextual.css: {}
      # @see https://www.drupal.org/node/2389735
      css/components/dropbutton.component.css: {}
      css/components/featured-top.css: {}
      css/components/feed-icon.css: {}
      css/components/form.css: {}
      css/components/forum.css: {}
      css/components/header.css: {}
      css/components/region-help.css: {}
      css/components/item-list.css: {}
      css/components/list-group.css: {}
      css/components/node-preview.css: {}
      css/components/pager.css: {}
      css/components/panel.css: {}
      css/components/primary-menu.css: {}
      css/components/search.css: {}
      css/components/search-results.css: {}
      css/components/secondary-menu.css: {}
      css/components/shortcut.css: {}
      css/components/skip-link.css: {}
      css/components/sidebar.css: {}
      css/components/site-footer.css: {}
      css/components/table.css: {}
      css/components/tabs.css: {}
      css/components/tips.css: {}
      css/components/toolbar.css: {}
      css/components/featured-bottom.css: {}
      css/components/user.css: {}
      # @see https://www.drupal.org/node/2389735
      css/components/vertical-tabs.component.css: {}
      css/components/views.css: {}
      css/components/buttons.css: {}
      css/components/ui-dialog.css: {}
    layout:
      css/layout.css: {}
    theme:
      css/colors.css: {}
      css/print.css: { media: print }
      bootstrap/css/bootstrap.min.css: {}
      fontawesome/css/font-awesome.min.css: {}
      css/custom.css: {}
      css/landing.css: {}

  js:
    bootstrap/js/bootstrap.min.js: {}
    js/custom.js: {}
  dependencies:
    - core/jquery
    - core/drupal.ajax
    - core/drupal
    - core/drupalSettings
    - core/jquery.once
messages:
  version: VERSION
  css:
    component:
      css/components/messages.css: { preprocess: false }

color.preview:
  version: VERSION
  css:
    theme:
      color/preview.css: {}
  js:
    color/preview.js: {}
  dependencies:
    - color/drupal.color

maintenance_page:
  version: VERSION
  css:
    theme:
      css/maintenance-page.css: {}
  dependencies:
    - system/maintenance
    - integrity/global-styling
